Posnorm {VGAM} | R Documentation

## The Positive-Normal Distribution

### Description

Density, distribution function, quantile function and random generation for the univariate positive-normal distribution.

### Usage

    dposnorm(x, mean = 0, sd = 1, log = FALSE)
    pposnorm(q, mean = 0, sd = 1, lower.tail = TRUE, log.p = FALSE)
    qposnorm(p, mean = 0, sd = 1, lower.tail = TRUE, log.p = FALSE)
    rposnorm(n, mean = 0, sd = 1)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1` then the length is taken to be the number required.
`mean, sd, log, lower.tail, log.p` | see `rnorm`.

### Details

See `posnormal`, the VGAM family function for estimating the parameters, for the formula of the probability density function and other details.

### Value

`dposnorm` gives the density, `pposnorm` gives the distribution function, `qposnorm` gives the quantile function, and `rposnorm` generates random deviates.

### Author(s)

T. W. Yee

### See Also

`posnormal`.

### Examples

    ## Not run:  m <-  0.8; x <- seq(-1, 4, len = 501)
    plot(x, dposnorm(x, m = m), type = "l", las = 1, ylim = 0:1,
         ylab = paste("posnorm(m = ", m, ", sd = 1)"), col = "blue",
         main = "Blue is density, orange is cumulative distribution function",
         sub = "Purple lines are the 10,20,...,90 percentiles")
    abline(h = 0, col = "grey")
    lines(x, pposnorm(x, m = m), col = "orange", type = "l")
    probs <- seq(0.1, 0.9, by = 0.1)
    Q <- qposnorm(probs, m = m)
    lines(Q, dposnorm(Q, m = m), col = "purple", lty = 3, type = "h")
    lines(Q, pposnorm(Q, m = m), col = "purple", lty = 3, type = "h")
    abline(h = probs, col = "purple", lty = 3)
    max(abs(pposnorm(Q, m = m) - probs))  # Should be 0

    ## End(Not run)

[Package VGAM version 1.0-4 Index]